> For the complete documentation index, see [llms.txt](https://developers.getgeoflow.com/geoflow-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.getgeoflow.com/geoflow-docs/feature/script-extensions/marketing-parameters.md).

# Marketing Parameters

### How Does It Work?

This script extension will check the current URL for any marketing-related parameter and if one is found, an input field (set to hidden) will be generated with the parameter's name and value; the field will be added to every form on the page. When the form is submitted, the value(s) for the parameter(s) will be accessible alongside anything else included in the submission.&#x20;

The URL parameters noted in the table below are the ones that will be recorded if found. The names and values will not be accessible through the 'geoflow' object.

<table data-full-width="false"><thead><tr><th width="255">URL Parameter Name</th><th width="220">URL Parameter Variable</th></tr></thead><tbody><tr><td>Ref</td><td><mark style="color:yellow;"><code>ref</code></mark></td></tr><tr><td>Referrer</td><td><mark style="color:yellow;"><code>referrer</code></mark></td></tr><tr><td>Source</td><td><mark style="color:yellow;"><code>source</code></mark></td></tr><tr><td>UTM_Source</td><td><mark style="color:yellow;"><code>utm_source</code></mark></td></tr><tr><td>UTM_Medium</td><td><mark style="color:yellow;"><code>utm_medium</code></mark></td></tr><tr><td>UTM_Campaign</td><td><mark style="color:yellow;"><code>utm_campaign</code></mark></td></tr><tr><td>UTM_Term</td><td><mark style="color:yellow;"><code>utm_term</code></mark></td></tr><tr><td>UTM_Content</td><td><mark style="color:yellow;"><code>utm_content</code></mark></td></tr><tr><td>UTM_ID</td><td><mark style="color:yellow;"><code>utm_id</code></mark></td></tr></tbody></table>

### How To Implement

| Attribute Name  | Attribute Value  | Which Page Element?       |
| --------------- | ---------------- | ------------------------- |
| data-extensions | marketing-params | \<script> Tag for Geoflow |

### Example

```html
<script data-extensions="marketing-params" src="https://cdn.getgeoflow.com/beta/script.min.js" crossorigin="anonymous" fetchpriority="auto"></script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/script-extensions/marketing-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
